Option Max Pain

This endpoint provides the max pain price for options.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: every 1 minute for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "msg": "success",
  "data": [
    {
      "date": "250422",                                   // Date (YYMMDD format)
      "call_open_interest_market_value": 1616749.22,      // Call option market value (USD)
      "put_open_interest": 512.5,                         // Put option open interest (contracts)
      "put_open_interest_market_value": 49687.62,         // Put option market value (USD)
      "max_pain_price": "84000",                          // Max pain price
      "call_open_interest": 953.7,                        // Call option open interest (contracts)
      "call_open_interest_notional": 83519113.56,         // Call option notional value (USD)
      "put_open_interest_notional": 44881569.13           // Put option notional value (USD)
    },
    {
      "date": "250423",                                   // Date (YYMMDD format)
      "call_open_interest_market_value": 2274700.52,      // Call option market value (USD)
      "put_open_interest": 1204.3,                        // Put option open interest (contracts)
      "put_open_interest_market_value": 374536.01,        // Put option market value (USD)
      "max_pain_price": "85000",                          // Max pain price
      "call_open_interest": 1302.2,                       // Call option open interest (contracts)
      "call_open_interest_notional": 114040373.53,        // Call option notional value (USD)
      "put_open_interest_notional": 105465691.73          // Put option notional value (USD)
    }
  ]
}
Query Params
string
required
Defaults to BTC

Trading coin (e.g., BTC,ETH).

string
required
Defaults to Deribit

Exchange name (e.g., Deribit, Binance, OKX).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json